#include "packagebase.h"

packageBase::packageBase() {

}

packageBase::~packageBase() {}

TQString packageBase::getAppName() {
    return AppName;
}

TQString packageBase::getAppVersion() {
    return AppVersion;
}

TQString packageBase::getAppRevision() {
    return AppRevision;
}

TQString packageBase::getAppGroup() {
    return AppGroup;
}

TQString packageBase::getAppPackager() {
    return AppPackager;
}

TQString packageBase::getAppURL() {
    return AppURL;
}

TQString packageBase::getAppSummary() {
    return AppSummary;
}

TQString packageBase::getAppVendor() {
    return AppVendor;
}

TQString packageBase::getAppLicense() {
    return AppLicense;
}

TQString packageBase::getAppArch() {
    return AppArch;
}

TQString packageBase::getAppDescription() {
    return AppDescription;
}

TQString packageBase::getAppChangelog() {
    return AppChangelog;
}

TQString packageBase::getAppSource() {
    return AppSource;
}

TQStringList packageBase::getAppFileList() {
    return AppFileList;
}

void packageBase::setAppName(const TQString& name) {
    AppName = name;
}

void packageBase::setAppVersion(const TQString& version){
   AppVersion = version;
}

void packageBase::setAppRevision(const TQString& revision){
    AppRevision = revision;
}

void packageBase::setAppGroup(const TQString& group){
   AppGroup = group;
}

void packageBase::setAppPackager(const TQString& packager){
    AppPackager = packager;
}

void packageBase::setAppURL(const TQString& url)
{
    AppURL = url;
}

void packageBase::setAppSummary(const TQString& summary){
    AppSummary = summary;
}

void packageBase::setAppVendor(const TQString& vendor){
    AppVendor = vendor;
}

void packageBase::setAppLicense(const TQString& licence){
    AppLicense = licence;
}

void packageBase::setAppArch(const TQString& arch){
    AppArch = arch;
}

void packageBase::setAppDescription(const TQString& description){
    AppDescription = description;
}

void packageBase::setAppChangelog(const TQString& changelog){
    AppChangelog = changelog;
}

void packageBase::setAppFileList( const TQStringList & list )
{
	AppFileList = list;
}
